---
title: Create / Update Task file
slug: create-update-task-file
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "m5dTtbChKeYSPAmLwp4Ir",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev1.frontu.com//client/api/v2/task_file/{guid}",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/task_file/{guid}"
      }
    ],
    "name": "Create / Update Task file",
    "description": "This enpoind allows to update or create the task file information\n\nIf you want to update Task file using POST method you need to fill information for guid field or systemId field in request body.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "guid",
          "type": "string",
          "description": "GUID format entity identifier generated by Frontu."
        }
      ],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "file",
              "kind": "optional",
              "type": "string<binary>",
              "description": "File to upload.",
              "format": "binary"
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "201",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "Data contains errors",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "ndiKxZm3N2uvB0xoXPftt",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev1.frontu.com//client/api/v2/task_file/{guid} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "ZL49_4FoGENOWn-dlfb43",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/task_file/{guid}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "7FENRfRHVG8Kj_dNtctfB",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/task_file/{guid}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "itzevEThAhb-NV7gvviuk",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/task_file/{guid}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "ndiKxZm3N2uvB0xoXPftt"
    },
    "results": {
      "languages": [
        {
          "id": "45MrqgSK8Odx8LbJbSLWQ",
          "language": "201",
          "code": "// Returned when successful\n"
        },
        {
          "id": "ry4C6X8YgeCCmzXXhqh0N",
          "language": "400",
          "code": "// Data contains errors\n"
        }
      ],
      "selectedLanguageId": "45MrqgSK8Odx8LbJbSLWQ"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}